DanPHPSupport 多个跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1111127 漏洞类型 跨站脚本
发布时间 2006-09-25 更新时间 2006-10-26
CVE编号 CVE-2006-5066 CNNVD-ID CNNVD-200609-509
漏洞平台 PHP CVSS评分 5.1
|漏洞来源
https://www.exploit-db.com/exploits/28671
https://cxsecurity.com/issue/WLB-2006100014
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200609-509
|漏洞详情
DanPHPSupport中存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可以通过(1)index.php中的page参数或(2)admin.php中的do参数注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/20203/info
 
DanPHPSupport is prone to multiple cross-site scripting vulnerabilities because it fails to sufficiently sanitize user-supplied input data.
 
An attacker may leverage these issues to have arbitrary script code execute in the browser of an unsuspecting user in the context of the affected site. This may allow an attacker to steal cookie-based authentication credentials and to launch other attacks.
 
DanPHPSupport 0.5 is vulnerable to these issues.

http://www.example.com/[path]/admin.php?do=<Script>
|参考资料

来源:XF
名称:danphpsupport-admin-index-xss(29175)
链接:http://xforce.iss.net/xforce/xfdb/29175
来源:BID
名称:20203
链接:http://www.securityfocus.com/bid/20203
来源:BUGTRAQ
名称:20061014Re:DanPHPSupport=>0.5CrossSiteScriptingVulnerabilities
链接:http://www.securityfocus.com/archive/1/archive/1/448693/100/0/threaded
来源:BUGTRAQ
名称:20060925DanPHPSupport=>0.5CrossSiteScriptingVulnerabilities
链接:http://www.securityfocus.com/archive/1/archive/1/447002/100/0/threaded
来源:SREASON
名称:1648
链接:http://securityreason.com/securityalert/1648